// UkazkaMDIView.cpp : implementation of the CUkazkaMDIView class
//

#include "stdafx.h"
#include "UkazkaMDI.h"

#include "UkazkaMDIDoc.h"
#include "UkazkaMDIView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CUkazkaMDIView

IMPLEMENT_DYNCREATE(CUkazkaMDIView, CView)

BEGIN_MESSAGE_MAP(CUkazkaMDIView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
	ON_WM_CHAR()
END_MESSAGE_MAP()

// CUkazkaMDIView construction/destruction

CUkazkaMDIView::CUkazkaMDIView()
{
	// TODO: add construction code here

}

CUkazkaMDIView::~CUkazkaMDIView()
{
}

BOOL CUkazkaMDIView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CUkazkaMDIView drawing

void CUkazkaMDIView::OnDraw(CDC* pDC)
{
	CUkazkaMDIDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	CRect rect;
	GetClientRect(&rect);
	pDC->DrawText(pDoc->str, &rect, DT_WORDBREAK);
}

void CUkazkaMDIView::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags)
{
	GetDocument()->AddChar((TCHAR) nChar);
}

// CUkazkaMDIView printing

BOOL CUkazkaMDIView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CUkazkaMDIView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CUkazkaMDIView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CUkazkaMDIView diagnostics

#ifdef _DEBUG
void CUkazkaMDIView::AssertValid() const
{
	CView::AssertValid();
}

void CUkazkaMDIView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CUkazkaMDIDoc* CUkazkaMDIView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CUkazkaMDIDoc)));
	return (CUkazkaMDIDoc*)m_pDocument;
}
#endif //_DEBUG


// CUkazkaMDIView message handlers
